%define momorel 11

Name: libcap
Version: 1.10
Release: %{momorel}m
Summary: Library for getting and setting POSIX.1e capabilities
Source: ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/%{name}-%{version}.tar.bz2
License: BSD or LGPL
Patch: libcap-1.10-ia64.patch
Patch2: libcap-1.10-shared.patch
Patch3: libcap-1.10-alpha.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0
PreReq: coreutils

%description
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

Install %{name}-devel if you want to develop or compile applications using
%{name}.

%prep
%setup -q
%ifarch ia64 s390 s390x
%patch -p1 -b .ia64
%endif
%patch2 -p1 -b .shared
%patch3 -p1 -b .alpha
perl -pi -e "s,^COPTFLAGS=.*,COPTFLAGS=\"%{optflags}\",g" Make.Rules
perl -pi -e "s,^man_prefix=.*,man_prefix=`echo %{_mandir} | sed -e 's/\/man//'`,g" Make.Rules

%build
make prefix=%{_prefix}

%install
rm -rf %{buildroot}
make install prefix=%{_prefix} FAKEROOT=%{buildroot}

# change library location
%{__install} -d -m 0755 %{buildroot}/lib/
mv %{buildroot}%{_libdir}/* %{buildroot}/lib/

%post
/sbin/ldconfig
/bin/true

%postun
/sbin/ldconfig
/bin/true


%files
%defattr(-,root,root)
/lib/*.so.*
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/sys/*
/lib/*.so
%{_mandir}/man2/*
%{_mandir}/man3/*

%clean
rm -rf %{buildroot}

%changelog
* Wed Apr  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.10-11m)
- add PreReq: coreutils

* Sun Mar 28 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.10-10m)
- change library location from /usr/lib to /lib for /bin/zsh*

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (1.10-9m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Thu Nov  8 2001 Shigno Akagaki <dora@kondara.org>
- (1.10-8k)
- nigirisugi

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (1.10-6k)
- modified Make.Rules for alpha.

* Fri Oct 26 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.10-4k)
- modify spec file to user macros
- enable to build on Alpha Architecture

* Tue Oct 23 2001 Toru Hoshina <t@kondara.org>
- (1.10-2k)
- merge from RawHide. [1.10-5]

* Mon Jul 16 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add post,postun scripts

* Tue Jul 10 2001 Jakub Jelinek <jakub@redhat.com>
- don't build libcap.so.1 with ld -shared, but gcc -shared

* Wed Jun 20 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Rebuild - it was missing for alpha

* Wed Jun 06 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390/s390x support

* Thu May 17 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.10-1
- initial RPM
- fix build on ia64
